dip:
  embedding:
    enabled: true

    jobs:
      enabled: true
      process-in-batches: true
      execution-batch-size: 20

    default-document-model: e5-default
    default-query-model: e5-default

    providers:
      vector-sync-local:
        type: http-vector-sync
        base-url: http://localhost:8001
        connect-timeout: 5s
        read-timeout: 60s
        headers:
          X-Client: dip
        batch-request:
          truncate-text: false
          truncate-length: 512
          chunk-size: 20

    models:
      e5-default:
        provider-config-key: vector-sync-local
        provider-model-key: intfloat/multilingual-e5-large
        dimensions: 1024
        distance-metric: COSINE
        supports-query-embedding-mode: true
        supports-batch: true
        max-input-chars: 8192
        active: true
